using System;
using System.ComponentModel.DataAnnotations;

namespace GestionIntegral.Api.Dtos.Distribucion
{
    public class CreatePorcPagoDto
    {
        [Required]
        public int IdPublicacion { get; set; }

        [Required(ErrorMessage = "El distribuidor es obligatorio.")]
        [Range(1, int.MaxValue, ErrorMessage = "Debe seleccionar un distribuidor válido.")]
        public int IdDistribuidor { get; set; }

        [Required(ErrorMessage = "La fecha de Vigencia Desde es obligatoria.")]
        public DateTime VigenciaD { get; set; }

        [Required(ErrorMessage = "El porcentaje es obligatorio.")]
        [Range(0, 100, ErrorMessage = "El porcentaje debe estar entre 0 y 100.")] // Asumiendo que es un porcentaje
        public decimal Porcentaje { get; set; }
    }
}